package org.yangliu.codegenerate.entity;

/**
 * @Description
 * @Author ZhouWenTao
 * @Date 2023/8/13 20:44
 */
public class TableEntityVo {
    //数据库中字段
    private String fieldColumn;
    //实体类字段
    private String fieldName;
    //java中字段类型
    private String fieldType;
    //数据库中字段类型
    private String fieldDbType;
    //字段描述
    private String fieldComment;


    public TableEntityVo() {
    }

    public TableEntityVo(String fieldColumn,String fieldName,String fieldType,String fieldDbType,String fieldComment) {
        this.fieldColumn = fieldColumn;
        this.fieldName = fieldName;
        this.fieldType = fieldType;
        this.fieldDbType = fieldDbType;
        this.fieldComment = fieldComment;
    }

    public String getFieldColumn() {
        return fieldColumn;
    }

    public void setFieldColumn(String fieldColumn) {
        this.fieldColumn = fieldColumn;
    }

    public String getFieldComment() {
        return fieldComment;
    }

    public void setFieldComment(String fieldComment) {
        this.fieldComment = fieldComment;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldDbType() {
        return fieldDbType;
    }

    public void setFieldDbType(String fieldDbType) {
        this.fieldDbType = fieldDbType;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    @Override
    public String toString() {
        return "TableEntityVo{" +
                "fieldName='" + fieldName + '\'' +
                ", fieldType='" + fieldType + '\'' +
                ", fieldDbType='" + fieldDbType + '\'' +
                ", fieldComment='" + fieldComment + '\'' +
                '}';
    }
}
